понедельник, 25 мая 2009 г.

Быстрые решения проблем (cPanel)

Запуск резервного копирования:
/scripts/cpbackup

Рестарт chkservd:
/etc/init.d/chkservd restart

Последние строки Apache Error:
tail -f /usr/local/apache/logs/error_log

Обновление серверного ПО и cpanel:
/scripts/upcp

Переустановка exim:
/scripts/exim4

Проблемы с просчетом трафика:
/scripts/cleanbw

Читаем далее...

MySQL DownGrade on Cpanel Servers (даунгрейд mysql)

Ну что ж :) Приношу извинения, что долго не обновлял блог.
Если честно, то работы было "труба", ничего не успевал :)

Итак, приступим. Вы наверно спросите, зачем понижать версию mysql, если чем новее версия, тем лучше? Все можно просто объяснить, если Вы пишите скрипты с "нуля", то да, чем новее версия тем лучше, чтоб можно было писать под mysql 5. Но! Если скрипты уже написаны под 4.х? Либо если это новый сервер, и нужно перенести несколько учетных записей с другого сервера, где уже стоит 4.х? Вот поэтому мы и делаем даунгрейд мускула до 4.х. Я покажу на примере 4.1, как сделать понижение версии с 5.0 до 4.1 на серверах с панелью управления cPanel.

Проверяем, какая версия установлена на данный момент:
rpm -qa | grep -i mysql-